Subject: bug#61170: 29.0.60; python-ts-mode interferes with the major-mode of other files.

From: xiliuya <[email-masked]>
Date: Mon, 30 Jan 2023 22:16:56 +0800

Eli Zaretskii <[email-masked]> writes:

>> Date: Mon, 30 Jan 2023 13:57:40 +0800
>> From:  xiliuya via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> Hello Emacs maintainers,
>> 
>> I apologize in advance for any mistakes since English is not my native
>> language and it is the first time that I report a bug.
>> 
>> How to reproduce:
>> 1) mkdir python
>> 2) touch python/a.el
>> 3) touch python/a.py
>> 4) emacs -Q
>> 5) C-x C-f python/a.py
>> 6) M-x python-ts-mode
>> 7) C-x C-f python/a.el
>> 
>> And then the major-mode of the el file became python-ts-mode.
>
> Your build is too old:
>
>> In GNU Emacs 29.0.60 (build 5, x86_64-pc-linux-gnu, GTK+ Version
>>  3.24.36, cairo version 1.17.6) of 2023-01-26 built on xiliuya-pc
>                                      ^^^^^^^^^^
> I think this problem was fixed 2 days ago, so please update from Git
> and try again.

You’re right. The update solved the problem. Thank you very much for your help.

-- 
xiliuya :)